Bug 1924194 - Panic when task-graph is canceled with a TaskNode with no tasks
Summary: Panic when task-graph is canceled with a TaskNode with no tasks
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cluster Version Operator
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.6.z
Assignee: W. Trevor King
QA Contact: liujia
URL:
Whiteboard:
Depends On: 1903382
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-02-02 18:40 UTC by OpenShift BugZilla Robot
Modified: 2021-03-09 20:16 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-03-09 20:16:08 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-version-operator pull 510 0 None open Bug 1924194: pkg/payload/task_graph: Require firstIncompleteNode to have tasks 2021-02-05 01:01:08 UTC
Red Hat Product Errata RHBA-2021:0674 0 None None None 2021-03-09 20:16:19 UTC

Comment 3 liujia 2021-03-02 01:31:08 UTC
# w3m -dump -cols 200 'https://search.ci.openshift.org/?maxAge=48h&type=junit&search=cluster-version-operator.*Observed+a+panic.*runtime+error:+index+out+of+range' | grep -- '-4\.[78].*failures match' |wc -l
0

Checked the ci logs and no cvo panic errors as described now.

Comment 5 errata-xmlrpc 2021-03-09 20:16:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6.20 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:0674


Note You need to log in before you can comment on or make changes to this bug.